> ## Documentation Index
> Fetch the complete documentation index at: https://apidocs.neetoinvoice.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create client

> Create a client.

<Info>Replace `{your-subdomain}` with your workspace's subdomain. <br /> Learn how to find your subdomain in [Workspace subdomain](/getting-started/workspace-subdomain).</Info>


## OpenAPI

````yaml /bundled/clients.yaml POST /clients
openapi: 3.0.3
info:
  title: NeetoInvoice APIs
  version: 2.0.0
servers:
  - description: NeetoInvoice APIs
    url: https://{your-subdomain}.neetoinvoice.com/api/external/v2
    variables:
      your-subdomain:
        default: spinkart
        description: >-
          Replace **spinkart** with your [workspace's
          subdomain](/getting-started/workspace-subdomain).
security: []
paths:
  /clients:
    post:
      tags:
        - Clients
      summary: Create a client
      description: Create a client.
      parameters:
        - $ref: '#/components/parameters/api_key_header'
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/client_request'
      responses:
        '201':
          description: Created - Client created successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/client_response'
components:
  parameters:
    api_key_header:
      in: header
      name: X-Api-Key
      description: >-
        Use the X-Api-Key header to provide your workspace API key. Refer to
        [Authentication](/getting-started/authentication) for more information.
      required: true
      schema:
        type: string
        default: your-api-key
  schemas:
    client_request:
      type: object
      properties:
        client:
          type: object
          properties:
            name:
              type: string
              example: Neeto Client Inc.
              description: New name of the client.
            secondary_name:
              type: string
              example: Subsidiary Alpha
              description: Optional secondary name for the client.
            default_invoice_due_in_days:
              type: string
              example: '30'
              description: >-
                Number of days after which an invoice is due by default for this
                client.
            internal_notes:
              type: string
              example: 'Preferred billing cycle: monthly'
              description: Internal notes about the client.
            currency:
              type: string
              description: Currency code for the client.
              example: USD
            status:
              type: string
              description: Status of the client.
              enum:
                - active
                - archived
              example: active
          required:
            - name
            - currency
            - status
    client_response:
      type: object
      properties:
        notice_code:
          type: string
        client_id:
          type: string
          format: uuid

````